import request from "@/api/request.js";

// 概览页--------------------------------------------------------------------
// 概览统计
export function getStatCount() {
    return request({
        method: 'GET',
        url: `/api/marketsearchHome/statCount`
    })
}

// 分类接口
export function getStatSort() {
    return request({
        method: 'GET',
        url: `/api/marketsearchHome/statSort`
    })
}

// 调查进展
export function getStatDetails() {
    return request({
        method: 'GET',
        url: `/api/marketsearchHome/statDetails`
    })
}


// 调查数量
/**
 * @param {byYorM} 
 */
export function getStatNum(params) {
    return request({
        method: 'GET',
        url: `/api/marketsearchHome/statNum`,
        params
    })
}

// 制裁领域分布
/**
 * @param {years} 
 */
export function getStatArea(params) {
    return request({
        method: 'GET',
        url: `/api/marketsearchHome/statArea`,
        params
    })
}

// 受调查企业地域分布
/**
 * @param {years} 
 */
export function getCompanyPlace(params) {
    return request({
        method: 'GET',
        url: `/api/marketsearchHome/getOrgDistribution`,
        params
    })
}

// 制裁领域分布-企业接口分布
/**
 * @param {years} 
 */
export function getStatAreaCompanyList() {
    return request({
        method: 'GET',
        url: `/api/marketsearchHome/getOrgSanctionsDomain`,
    })
}

// 受调查国家分布
/**
 * @param {year, sortCode} 
 */
export function getSearchCountry(params) {
    return request({
        method: 'GET',
        url: `/api/marketsearchDetails/getSearchCountry`,
        params
    })
}

// 调查结果分布
/**
 * @param {searchId, sortCode} 
 */
export function getSearchResult(params) {
    return request({
        method: 'GET',
        url: `/api/marketsearchDetails/searchResult`,
        params
    })
}

// 资源库
// 左侧行业领域列表
export function getHylyList() {
    return request({
        method: 'GET',
        url: `/api/billImpactAnalysis/industry/hylyList`,
    })
}

// 左侧发布机构
export function getSearchAllOrg(params) {
    return request({
        method: 'GET',
        url: `/api/marketsearchDetails/getSearchAllOrg`,
        params
    })
}

// 左侧受调查国家/地区
export function getSearchAllCountry() {
    return request({
        method: 'GET',
        url: `/api/marketsearchDetails/getSearchAllCountry`,
    })
}

// 获取调查列表接口
/**
 * @param {currentPage, pageSize, sortCode, publishYear, Area, sortField, sortOrder} 
 */
export function getSurveyList(params) {
    return request({
        method: 'GET',
        url: `/api/marketsearchHome/statList`,
        params
    })
}


// 详情页---------------------------------------------------
// 获取调查列表接口
/**
 * @param { sortCode } 
 */
export function getSurvyInfo(params) {
    return request({
        method: 'GET',
        url: `/api/marketsearchHome/statSortDetails`,
        params
    })
}